"use client";
import { useReadAllContactUs } from "@/hooks/queries/useContactUsQuery";
import { usePathname, useRouter } from "next/navigation";
export const useContactUsListPresenter = () => {
  const columns: string[] = [];
  const pathname = usePathname();
  const router = useRouter();
  const { data, isPending } = useReadAllContactUs();
  return {
    columns,
    pathname,
    router,
    isPending,
    data,
  };
};
